import urllib.request as req
import re
import openpyxl

wp = req.urlopen('https://info.nikkeibp.co.jp/media/NPC/')
ptext = wp.read().decode('utf-8')
slist = []
m = re.search(r'最新号</span>日経パソコン　(.+)</p>', ptext)
if m:
    slist.append(m.group(1))
sps = re.findall(r'<h4><span class="textColRed">(.+)</span>',
                 ptext)
if sps:
    slist.extend(sps)
if len(slist) == 3:
    wb = openpyxl.load_workbook('NPC記事.xlsx')
    ws = wb.active
    ws.append(slist)
    wb.save('NPC記事.xlsx')
